%define upstream_name    Package-Pkg
%define upstream_version 0.0020

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Handy package munging utilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(Clone)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Mouse)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%{?perl_default_filter}

%description
Package::Pkg is a collection of useful, miscellaneous package-munging
utilities. Functionality is accessed via the imported 'pkg' keyword,
although you can also invoke functions directly from the package
('Package::Pkg')

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.2.0-11.mga9
+ Revision: 1805030
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-10.mga8
+ Revision: 1496220
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.2.0-9.mga7
+ Revision: 1270232
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-8.mga6
+ Revision: 1031605
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.2.0-7.mga6
+ Revision: 944959
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-6.mga5
+ Revision: 746161
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.2.0-5.mga5
+ Revision: 733170
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 685851
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-3.mga4
+ Revision: 513894
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 371352
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.2.0-1.mga3
+ Revision: 267446
- update to 0.0020

* Fri Jan 28 2011 jquelin <jquelin> 0.1.900-1.mga1
+ Revision: 42785
- imported package perl-Package-Pkg


* Fri Jan 28 2011 cpan2dist 0.0019-1mdv
- initial mdv release, generated with cpan2dist
